using FamilyTreeAPI.Entities;

namespace FamilyTreeAPI.Interface;

public interface IRelationShipd
{
    Task<ResultModel<int>> SaveAsync(List<RelationShipDto> dto);
    //load by personId
    Task<ResultModel<List<RelationShipDto>>> GetByPersonIdAsync(int personId);
    Task<ResultModel<RelationShipDto>> GetByIdAsync(int Id);
   
    Task<ResultModel<int>> DeleteAsync(int personId);
}